name: campaign
date: 1 avril 2021

setup:
  os: Linux CentOS 7 (x86_64)
  cpu: Intel XEON X5550
  ram: 32GB
  timeout: 2400
  memout: 32768

source:
  path: experiments/
  format: dir
  is-success:
    - ${status} == "COMPLETE"

data:
  raw-data:
    #stdout file
    - log-data: experiment_ware
      file: "stdout"
      regex: "c launch: .*? [^ ]+/(.*?) "
    - log-data: input
      file: "stdout"
      regex: "c launch: .+/(.*?).xml.lzma "

    # statistics.out file
    - log-data: cpu_time
      file: "statistics.out"
      pattern: "CPUTIME={real}"

    # execution.out file
    - log-data: exception
      file: "execution.out"
      regex: "(.*ERROR.*)"
    - log-data: best_bound
      file: "execution.out"
      regex: "d BOUND ([0-9]+)"
    - log-data: status
      file: "execution.out"
      pattern: "d {word} EXPLORATION"
    - log-data: objective
      file: "execution.out"
      pattern: "way={word}"
    - log-data:
        - bound_list
        - timestamp_list
      file: "execution.out"
      pattern: "o {integer} \t{real}"
      groups:
        - 1
        - 2
